<?xml version="1.0" encoding="UTF-8"?>
<bpmn:definitions xmlns:bpmn="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:dc="http://www.omg.org/spec/DD/20100524/DC" xmlns:camunda="http://camunda.org/schema/1.0/bpmn" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:di="http://www.omg.org/spec/DD/20100524/DI" id="Definitions_0kq3ac5" targetNamespace="http://bpmn.io/schema/bpmn" exporter="Camunda Modeler" exporterVersion="4.6.0">
  <bpmn:collaboration id="LoanProject">
    <bpmn:participant id="Participant_18i9600" name="Процесс выдачи кредита" processRef="loan" />
  </bpmn:collaboration>
  <bpmn:process id="loan" isExecutable="true">
    <bpmn:laneSet id="LaneSet_137hk5v">
      <bpmn:lane id="Lane_0o1qb0c" name="Андеррайтер">
        <bpmn:flowNodeRef>Activity_0n8lnrn</bpmn:flowNodeRef>
      </bpmn:lane>
      <bpmn:lane id="Lane_0nwtvpu" name="Loan Origination">
        <bpmn:flowNodeRef>Activity_1rp4eoy</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Activity_07jdpze</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Event_0awkk30</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Gateway_1ukb3is</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Activity_0hdcnbv</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Gateway_0q92jja</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Activity_1b641yu</bpmn:flowNodeRef>
      </bpmn:lane>
      <bpmn:lane id="Lane_1wyjm9h" name="Кредитный менеджер">
        <bpmn:flowNodeRef>Activity_1fezb0m</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Gateway_06r3u40</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Event_1xg83s9</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>Activity_1hg7xb3</bpmn:flowNodeRef>
        <bpmn:flowNodeRef>StartEvent_1</bpmn:flowNodeRef>
      </bpmn:lane>
    </bpmn:laneSet>
    <bpmn:userTask id="Activity_0n8lnrn" name="Андеррайтинг">
      <bpmn:extensionElements>
        <camunda:formData>
          <camunda:formField id="approved" label="approved" type="boolean" />
        </camunda:formData>
      </bpmn:extensionElements>
      <bpmn:incoming>Flow_015zm1q</bpmn:incoming>
      <bpmn:outgoing>Flow_0nnzm9x</bpmn:outgoing>
    </bpmn:userTask>
    <bpmn:userTask id="Activity_1fezb0m" name="Уведомление клиента">
      <bpmn:incoming>Flow_1togtzn</bpmn:incoming>
      <bpmn:incoming>Flow_0nnzm9x</bpmn:incoming>
      <bpmn:incoming>Flow_0ti8e9z</bpmn:incoming>
      <bpmn:outgoing>Flow_08rpthb</bpmn:outgoing>
    </bpmn:userTask>
    <bpmn:exclusiveGateway id="Gateway_06r3u40" name="Невалидная заявка/Отказ банка/клиента?">
      <bpmn:incoming>Flow_08rpthb</bpmn:incoming>
      <bpmn:outgoing>Flow_14cq7tv</bpmn:outgoing>
      <bpmn:outgoing>Flow_0ct3j6x</bpmn:outgoing>
    </bpmn:exclusiveGateway>
    <bpmn:endEvent id="Event_1xg83s9" name="Кредит не выдан">
      <bpmn:incoming>Flow_14cq7tv</bpmn:incoming>
    </bpmn:endEvent>
    <bpmn:businessRuleTask id="Activity_1rp4eoy" name="Рассчет ставки по кредиту" camunda:resultVariable="rate" camunda:decisionRef="calculateRate" camunda:mapDecisionResult="singleEntry">
      <bpmn:incoming>Flow_0ct3j6x</bpmn:incoming>
      <bpmn:outgoing>Flow_14ttuo8</bpmn:outgoing>
    </bpmn:businessRuleTask>
    <bpmn:userTask id="Activity_1hg7xb3" name="Подготовка к сделке">
      <bpmn:incoming>Flow_14ttuo8</bpmn:incoming>
      <bpmn:outgoing>Flow_1ix27ig</bpmn:outgoing>
    </bpmn:userTask>
    <bpmn:serviceTask id="Activity_07jdpze" name="Создание сделки" camunda:delegateExpression="${loanDelegate}">
      <bpmn:incoming>Flow_1ix27ig</bpmn:incoming>
      <bpmn:outgoing>Flow_0dlpyxf</bpmn:outgoing>
    </bpmn:serviceTask>
    <bpmn:endEvent id="Event_0awkk30" name="Кредит выдан">
      <bpmn:incoming>Flow_0dlpyxf</bpmn:incoming>
    </bpmn:endEvent>
    <bpmn:exclusiveGateway id="Gateway_1ukb3is" name="Одобрен?">
      <bpmn:incoming>Flow_08ehulh</bpmn:incoming>
      <bpmn:outgoing>Flow_015zm1q</bpmn:outgoing>
      <bpmn:outgoing>Flow_1togtzn</bpmn:outgoing>
    </bpmn:exclusiveGateway>
    <bpmn:businessRuleTask id="Activity_0hdcnbv" name="Принятие решения" camunda:resultVariable="approved" camunda:decisionRef="makeDecision" camunda:mapDecisionResult="singleEntry">
      <bpmn:incoming>Flow_0qi934w</bpmn:incoming>
      <bpmn:outgoing>Flow_08ehulh</bpmn:outgoing>
    </bpmn:businessRuleTask>
    <bpmn:exclusiveGateway id="Gateway_0q92jja">
      <bpmn:incoming>Flow_17z86jp</bpmn:incoming>
      <bpmn:outgoing>Flow_0qi934w</bpmn:outgoing>
      <bpmn:outgoing>Flow_0ti8e9z</bpmn:outgoing>
    </bpmn:exclusiveGateway>
    <bpmn:serviceTask id="Activity_1b641yu" name="Валидация заявки" camunda:type="external" camunda:topic="validateRequest">
      <bpmn:incoming>Flow_0yppu9g</bpmn:incoming>
      <bpmn:outgoing>Flow_17z86jp</bpmn:outgoing>
    </bpmn:serviceTask>
    <bpmn:startEvent id="StartEvent_1" name="Заведение заявки">
      <bpmn:extensionElements>
        <camunda:formData>
          <camunda:formField id="sum" label="Сумма кредита" type="long" />
          <camunda:formField id="goal" label="Цель" type="string" />
          <camunda:formField id="loanType" label="Тип кредита" type="string" />
          <camunda:formField id="documents" label="Документы" type="string" />
          <camunda:formField id="valid" type="boolean" />
        </camunda:formData>
      </bpmn:extensionElements>
      <bpmn:outgoing>Flow_0yppu9g</bpmn:outgoing>
    </bpmn:startEvent>
    <bpmn:sequenceFlow id="Flow_0dlpyxf" sourceRef="Activity_07jdpze" targetRef="Event_0awkk30" />
    <bpmn:sequenceFlow id="Flow_1ix27ig" sourceRef="Activity_1hg7xb3" targetRef="Activity_07jdpze" />
    <bpmn:sequenceFlow id="Flow_14ttuo8" sourceRef="Activity_1rp4eoy" targetRef="Activity_1hg7xb3" />
    <bpmn:sequenceFlow id="Flow_0ct3j6x" name="Нет" sourceRef="Gateway_06r3u40" targetRef="Activity_1rp4eoy">
      <bpmn:conditionExpression xsi:type="bpmn:tFormalExpression">${approved}</bpmn:conditionExpression>
    </bpmn:sequenceFlow>
    <bpmn:sequenceFlow id="Flow_14cq7tv" name="Да" sourceRef="Gateway_06r3u40" targetRef="Event_1xg83s9">
      <bpmn:conditionExpression xsi:type="bpmn:tFormalExpression">${!approved || !valid}</bpmn:conditionExpression>
    </bpmn:sequenceFlow>
    <bpmn:sequenceFlow id="Flow_08rpthb" sourceRef="Activity_1fezb0m" targetRef="Gateway_06r3u40" />
    <bpmn:sequenceFlow id="Flow_0nnzm9x" sourceRef="Activity_0n8lnrn" targetRef="Activity_1fezb0m" />
    <bpmn:sequenceFlow id="Flow_1togtzn" name="Да" sourceRef="Gateway_1ukb3is" targetRef="Activity_1fezb0m">
      <bpmn:conditionExpression xsi:type="bpmn:tFormalExpression">${approved}</bpmn:conditionExpression>
    </bpmn:sequenceFlow>
    <bpmn:sequenceFlow id="Flow_015zm1q" name="Нет" sourceRef="Gateway_1ukb3is" targetRef="Activity_0n8lnrn">
      <bpmn:conditionExpression xsi:type="bpmn:tFormalExpression">${!approved}</bpmn:conditionExpression>
    </bpmn:sequenceFlow>
    <bpmn:sequenceFlow id="Flow_08ehulh" sourceRef="Activity_0hdcnbv" targetRef="Gateway_1ukb3is" />
    <bpmn:sequenceFlow id="Flow_0yppu9g" sourceRef="StartEvent_1" targetRef="Activity_1b641yu" />
    <bpmn:sequenceFlow id="Flow_17z86jp" name="Валидна?" sourceRef="Activity_1b641yu" targetRef="Gateway_0q92jja" />
    <bpmn:sequenceFlow id="Flow_0qi934w" name="Да" sourceRef="Gateway_0q92jja" targetRef="Activity_0hdcnbv">
      <bpmn:conditionExpression xsi:type="bpmn:tFormalExpression">${valid}</bpmn:conditionExpression>
    </bpmn:sequenceFlow>
    <bpmn:sequenceFlow id="Flow_0ti8e9z" name="Нет" sourceRef="Gateway_0q92jja" targetRef="Activity_1fezb0m">
      <bpmn:conditionExpression xsi:type="bpmn:tFormalExpression">${!valid}</bpmn:conditionExpression>
    </bpmn:sequenceFlow>
  </bpmn:process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_1">
    <bpmndi:BPMNPlane id="BPMNPlane_1" bpmnElement="LoanProject">
      <bpmndi:BPMNShape id="Participant_18i9600_di" bpmnElement="Participant_18i9600" isHorizontal="true">
        <dc:Bounds x="160" y="50" width="1150" height="480" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Lane_0o1qb0c_di" bpmnElement="Lane_0o1qb0c" isHorizontal="true">
        <dc:Bounds x="190" y="370" width="1120" height="160" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Lane_0nwtvpu_di" bpmnElement="Lane_0nwtvpu" isHorizontal="true">
        <dc:Bounds x="190" y="225" width="1120" height="145" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Lane_1wyjm9h_di" bpmnElement="Lane_1wyjm9h" isHorizontal="true">
        <dc:Bounds x="190" y="50" width="1120" height="175" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="Flow_0dlpyxf_di" bpmnElement="Flow_0dlpyxf">
        <di:waypoint x="1130" y="300" />
        <di:waypoint x="1232" y="300" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="915" y="282" width="72" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_1ix27ig_di" bpmnElement="Flow_1ix27ig">
        <di:waypoint x="1080" y="180" />
        <di:waypoint x="1080" y="260" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_14ttuo8_di" bpmnElement="Flow_14ttuo8">
        <di:waypoint x="900" y="299" />
        <di:waypoint x="980" y="298" />
        <di:waypoint x="980" y="140" />
        <di:waypoint x="1030" y="140" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0ct3j6x_di" bpmnElement="Flow_0ct3j6x">
        <di:waypoint x="850" y="165" />
        <di:waypoint x="850" y="260" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="855" y="203" width="20" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_14cq7tv_di" bpmnElement="Flow_14cq7tv">
        <di:waypoint x="875" y="140" />
        <di:waypoint x="912" y="140" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="887" y="122" width="14" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_08rpthb_di" bpmnElement="Flow_08rpthb">
        <di:waypoint x="790" y="140" />
        <di:waypoint x="825" y="140" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0nnzm9x_di" bpmnElement="Flow_0nnzm9x">
        <di:waypoint x="660" y="450" />
        <di:waypoint x="680" y="450" />
        <di:waypoint x="680" y="160" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_1togtzn_di" bpmnElement="Flow_1togtzn">
        <di:waypoint x="610" y="273" />
        <di:waypoint x="610" y="130" />
        <di:waypoint x="690" y="130" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="617" y="138" width="14" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_015zm1q_di" bpmnElement="Flow_015zm1q">
        <di:waypoint x="610" y="323" />
        <di:waypoint x="610" y="410" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="615" y="352" width="20" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_08ehulh_di" bpmnElement="Flow_08ehulh">
        <di:waypoint x="560" y="298" />
        <di:waypoint x="585" y="298" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0yppu9g_di" bpmnElement="Flow_0yppu9g">
        <di:waypoint x="270" y="148" />
        <di:waypoint x="270" y="258" />
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_17z86jp_di" bpmnElement="Flow_17z86jp">
        <di:waypoint x="320" y="298" />
        <di:waypoint x="375" y="298" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="324" y="280" width="51" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0qi934w_di" bpmnElement="Flow_0qi934w">
        <di:waypoint x="425" y="298" />
        <di:waypoint x="460" y="298" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="436" y="280" width="14" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="Flow_0ti8e9z_di" bpmnElement="Flow_0ti8e9z">
        <di:waypoint x="400" y="273" />
        <di:waypoint x="400" y="110" />
        <di:waypoint x="690" y="110" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="405" y="189" width="20" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="Activity_1s0c182_di" bpmnElement="Activity_0n8lnrn">
        <dc:Bounds x="560" y="410" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_1v0c25i_di" bpmnElement="Activity_1fezb0m">
        <dc:Bounds x="690" y="100" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Gateway_06r3u40_di" bpmnElement="Gateway_06r3u40" isMarkerVisible="true">
        <dc:Bounds x="825" y="115" width="50" height="50" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="810" y="69" width="80" height="40" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Event_1xg83s9_di" bpmnElement="Event_1xg83s9">
        <dc:Bounds x="912" y="122" width="36" height="36" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="887" y="165" width="87" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_1nuzurq_di" bpmnElement="Activity_1rp4eoy">
        <dc:Bounds x="800" y="260" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_05caj5l_di" bpmnElement="Activity_1hg7xb3">
        <dc:Bounds x="1030" y="100" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_0b9pds3_di" bpmnElement="Activity_07jdpze">
        <dc:Bounds x="1030" y="260" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Event_0awkk30_di" bpmnElement="Event_0awkk30">
        <dc:Bounds x="1232" y="282" width="36" height="36" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="1214" y="325" width="72" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Gateway_1ukb3is_di" bpmnElement="Gateway_1ukb3is" isMarkerVisible="true">
        <dc:Bounds x="585" y="273" width="50" height="50" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="614" y="263" width="52" height="14" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_0uz91mx_di" bpmnElement="Activity_0hdcnbv">
        <dc:Bounds x="460" y="258" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Gateway_0q92jja_di" bpmnElement="Gateway_0q92jja" isMarkerVisible="true">
        <dc:Bounds x="375" y="273" width="50" height="50" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="Activity_1sxr6pg_di" bpmnElement="Activity_1b641yu">
        <dc:Bounds x="220" y="258" width="100" height="80" />
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="_BPMNShape_StartEvent_2" bpmnElement="StartEvent_1">
        <dc:Bounds x="252" y="112" width="36" height="36" />
        <bpmndi:BPMNLabel>
          <dc:Bounds x="242" y="75" width="56" height="27" />
        </bpmndi:BPMNLabel>
      </bpmndi:BPMNShape>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</bpmn:definitions>
